# Uses of Interface
org.springframework.web.servlet.mvc.condition.NameValueExpression

Packages that use NameValueExpression
Package
Description
org.springframework.web.servlet.mvc.condition
Common MVC logic for matching incoming requests based on conditions.

## Uses of NameValueExpression in org.springframework.web.servlet.mvc.condition

Methods in org.springframework.web.servlet.mvc.condition that return types with arguments of type NameValueExpression
Modifier and Type
Method
Description
`Set<NameValueExpression<String>>`
HeadersRequestCondition.`getExpressions()`
Return the contained request header expressions.
`Set<NameValueExpression<String>>`
ParamsRequestCondition.`getExpressions()`
Return the contained request parameter expressions.